- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_topology_description_t

# mongoc_topology_description_has_writable_server()

## Synopsis

    bool
    mongoc_topology_description_has_writable_server (
       mongoc_topology_description_t *td);

Determines if the topology has a writable server available, such as a primary, mongos, or standalone. This function uses the driver’s current knowledge of the state of the MongoDB server or servers it is connected to; it does no I/O and it does not block.

## Parameters

- `td`: A mongoc_topology_description_t.

## Returns

True if there is a known writable server.

## See Also

Introduction to Application Performance Monitoring

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.